using System;
using System.Windows.Forms;

public class Seconds {
    int seconds, goal;
    Timer t = new Timer();
    void bump(object sender, EventArgs e) { 
        seconds++;
        if (seconds == goal) t.Stop();
    }
    public void SecondCount(int goal) {
        this.goal = goal;
        seconds = 0;
        t.Interval = 1000;
        t.Tick += bump;
        t.Start();
    }
    public int Count { get { return seconds; } }
}

